---
apiVersion: "v1"
kind: "List"
items:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/git-commit: "0db204374463d98e493d2b1d675c5df4308433dc"
      fabric8.io/git-branch: "master"
      fabric8.io/git-url: "git@gitlab.cee.redhat.com:jboss-fuse-qe/xpaas-qe.git"
      prometheus.io/port: "9779"
      prometheus.io/scrape: "true"
    labels:
      expose: "true"
      app: "spring-boot-camel-infinispan"
      provider: "fabric8"
      version: "1.0-SNAPSHOT"
      group: "com.redhat.xpaas.qe"
    name: "spring-boot-camel-infinispan"
  spec:
    ports:
    - name: "http"
      port: 8080
      protocol: "TCP"
      targetPort: 8080
    selector:
      app: "spring-boot-camel-infinispan"
      provider: "fabric8"
      group: "com.redhat.xpaas.qe"
- apiVersion: "apps.openshift.io/v1"
  kind: "DeploymentConfig"
  metadata:
    annotations:
      fabric8.io/git-commit: "0db204374463d98e493d2b1d675c5df4308433dc"
      fabric8.io/git-branch: "master"
      fabric8.io/git-url: "git@gitlab.cee.redhat.com:jboss-fuse-qe/xpaas-qe.git"
    labels:
      app: "spring-boot-camel-infinispan"
      provider: "fabric8"
      version: "1.0-SNAPSHOT"
      group: "com.redhat.xpaas.qe"
    name: "spring-boot-camel-infinispan"
  spec:
    replicas: 1
    revisionHistoryLimit: 2
    selector:
      app: "spring-boot-camel-infinispan"
      provider: "fabric8"
      group: "com.redhat.xpaas.qe"
    strategy:
      rollingParams:
        timeoutSeconds: 3600
      type: "Rolling"
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: "0db204374463d98e493d2b1d675c5df4308433dc"
          fabric8.io/git-branch: "master"
          fabric8.io/git-url: "git@gitlab.cee.redhat.com:jboss-fuse-qe/xpaas-qe.git"
        labels:
          app: "spring-boot-camel-infinispan"
          provider: "fabric8"
          version: "1.0-SNAPSHOT"
          group: "com.redhat.xpaas.qe"
      spec:
        containers:
        - env:
          - name: "INFINISPAN_SERVICE"
            value: "datagrid-app-hotrod"
          - name: "SPRING_APPLICATION_JSON"
            value: "{\"server\":{\"undertow\":{\"io-threads\":1, \"worker-threads\"\
              :2 }}}"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "spring-boot-camel-infinispan:latest"
          imagePullPolicy: "IfNotPresent"
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: "/actuator/health"
              port: 8081
              scheme: "HTTP"
            initialDelaySeconds: 180
            successThreshold: 1
          name: "spring-boot"
          ports:
          - containerPort: 8080
            name: "http"
            protocol: "TCP"
          - containerPort: 9779
            name: "prometheus"
            protocol: "TCP"
          - containerPort: 8778
            name: "jolokia"
            protocol: "TCP"
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: "/actuator/health"
              port: 8081
              scheme: "HTTP"
            initialDelaySeconds: 10
            successThreshold: 1
          resources:
            limits:
              cpu: "1.0"
              memory: "256Mi"
            requests:
              cpu: "0.2"
              memory: "256Mi"
          securityContext:
            privileged: false
    triggers:
    - type: "ConfigChange"
- apiVersion: "route.openshift.io/v1"
  kind: "Route"
  metadata:
    annotations:
      fabric8.io/git-commit: "0db204374463d98e493d2b1d675c5df4308433dc"
      fabric8.io/git-branch: "master"
      fabric8.io/git-url: "git@gitlab.cee.redhat.com:jboss-fuse-qe/xpaas-qe.git"
    labels:
      expose: "true"
      app: "spring-boot-camel-infinispan"
      provider: "fabric8"
      version: "1.0-SNAPSHOT"
      group: "com.redhat.xpaas.qe"
    name: "spring-boot-camel-infinispan"
  spec:
    port:
      targetPort: 8080
    to:
      kind: "Service"
      name: "spring-boot-camel-infinispan"
